summaryrefslogtreecommitdiff
path: root/bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap')
-rwxr-xr-xbootstrap33
1 files changed, 33 insertions, 0 deletions
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..b5b3370
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -x
+set -e
+
+if [[ `uname` = Darwin ]]
+then
+ if [[ x"$(which port)" = x"/opt/local/bin/port" ]]
+ then
+ echo "Macports detected"
+ glibtoolize --copy --force
+ aclocal -I m4
+ else
+ if [[ "$AVG_MAC_ENV_SET" -ne "1" ]]
+ then
+ echo Please source mac/avg_env.sh before calling bootstrap.
+ exit 5
+ fi
+ # This uses locally-installed libtoolize and automake since the
+ # apple-supplied one is buggy as of OS X 10.4.7
+ libtoolize --copy --force
+ aclocal -I m4
+ # Patch that fixes 'absolute addressing not allowed in slidable
+ # image' linker error.
+ patch < mac/libtool.m4.patch m4/libtool.m4
+ fi
+else
+ libtoolize --copy --force
+ aclocal -I m4
+fi
+autoheader
+automake --foreign --add-missing --copy
+autoconf
+